help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Requiring elisp that comes with Emacs


From: hector
Subject: Re: Requiring elisp that comes with Emacs
Date: Wed, 1 Feb 2017 11:07:07 +0100
User-agent: Mutt/1.5.20 (2009-06-14)

That's a very good answer. This is how life (and society) works.

I am a do-it-yourself kind of guy. I guess that's why I like Emacs
and free software in general.

But sometimes you must accept you can't do EVERYTHING by yourself.

On Tue, Jan 31, 2017 at 02:40:55PM -0600, Skip Montanaro wrote:
> > Why would you let someone else manage it for you?
> 
> This is not really an Emacs question. It is more of a quality of life
> question. Still, since you asked...
> 
> I let someone else manage my Emacs installations for the same reasons that:
> 
>    - I no longer rebuild my Linux kernel daily (as I used to 20 or more
>    years ago)
>    - I rely on a third party to maintain a complex Python environment
>    (despite having been one of the core Python developers in dim, dark the
>    past)
>    - Let the mechanic do tune-ups on my car
> 
> There is value in stability and knowing when others are better at a
> particular task than I am (or at least good enough that I can delegate to
> them). I can't be an expert in everything. Sometimes, even if I know I can
> do the job myself, it's worth it to let someone else do it, because time -
> as they say - is money. If I'm fiddling with my Emacs installation or
> changing the oil in my car, that's time when I could have been doing
> something else of more personal value to me, like working on paying work,
> riding my bike, or having dinner with my wife. I have more important things
> to do with my time than fiddle with a complex tool chain on a continuous
> (or even occasional) basis.
> 
> S
> 
> On Tue, Jan 31, 2017 at 2:01 PM, Narendra Joshi <address@hidden>
> wrote:
> 
> > Skip Montanaro <address@hidden> writes:
> >
> > > (require) a fewpackages in my .emacs file: mouse,
> > > auto-complete-config, and lua-mode. I didn't install any of them
> > > (someone else manages my local Emacs installation), so they may not
> >
> > That's interesting. Why would you let someone else manage it for you?
> >
> > - Narendra
> >



reply via email to

[Prev in Thread] Current Thread [Next in Thread]